# see https://symfony.com/doc/current/reference/configuration/framework.html
framework:
    secret: '%env(APP_SECRET)%'
    assets:
        version: '1.0.0'

    # Note that the session will be started ONLY if you read or write from it.
    session:
        cookie_lifetime: 36000
        gc_maxlifetime: 36000
    csrf_protection: true

    #esi: true
    #fragments: true

when@test:
    framework:
        test: true
        session:
            storage_factory_id: session.storage.factory.mock_file
